# Uses of Class
javax.management.AttributeValueExp

Packages that use AttributeValueExp
Package
Description
javax.management
Provides the core classes for the Java Management Extensions.

## Uses of AttributeValueExp in javax.management

Methods in javax.management that return AttributeValueExp
Modifier and Type
Method
Description
`static AttributeValueExp`
Query.`attr​(String name)`
Returns a new attribute expression.
`static AttributeValueExp`
Query.`attr​(String className, String name)`
Returns a new qualified attribute expression.
`static AttributeValueExp`
Query.`classattr()`
Returns a new class attribute expression which can be used in any Query call that expects a ValueExp.
Methods in javax.management with parameters of type AttributeValueExp
Modifier and Type
Method
Description
`static QueryExp`
Query.`anySubString​(AttributeValueExp a, StringValueExp s)`
Returns a query expression that represents a matching constraint on a string argument.
`static QueryExp`
Query.`finalSubString​(AttributeValueExp a, StringValueExp s)`
Returns a query expression that represents a matching constraint on a string argument.
`static QueryExp`
Query.`initialSubString​(AttributeValueExp a, StringValueExp s)`
Returns a query expression that represents a matching constraint on a string argument.
`static QueryExp`
Query.`match​(AttributeValueExp a, StringValueExp s)`
Returns a query expression that represents a matching constraint on a string argument.